1. Electricity
VTU API
  • Overview
  • Commission
  • Airtime
    • Providers
      GET
    • Payment
      POST
  • Data Bundle
    • Get Providers
      GET
    • Get Data Bundles
      POST
    • Payment
      POST
  • Cable TV
    • Get Providers
      GET
    • Get Bouquet
      POST
    • Validate Account
      POST
    • Payment
      POST
  • Electricity
    • Get Providers
      GET
    • Validate Account
      POST
    • Payment
      POST
  • Showmax
    • Get Bouquets
      GET
    • Payment
      POST
  • Gaming
    • Get Providers
      GET
    • Validate Account
      POST
    • Payment
      POST
  • Wallet
    • Balance
      GET
  • Education
    • Get Providers
      GET
    • Get Exam Types
      POST
  • Schedule Payments
    • Setup
      • Options
      • Bundles
    • Create
      • Create - Airtime (one time)
      • Create - Data (monthly)
      • Create - Cable TV (monthly)
      • Create - Electricity (weekly)
    • Manage
      • List schedules
      • Get schedule
      • Update schedule
      • Pay now
      • Retry failed run
      • Pause
      • Resume
      • Cancel (archive)
      • Re-enable
      • Delete
  • Buy Bulk Airtime
    • Bulk airtime
    • List bulk requests
    • Get bulk request
    • Download report (CSV)
    • Cancel
    • Query one number
  • Webhook (reference)
  1. Electricity

Payment

POST
https://api.paybeta.ng/v2/electricity/purchase

Request

Authorization
Add parameter in header
P-API-KEY
Example:
P-API-KEY: ********************
Header Params

Body Params application/json

Examples

Responses

🟢200Payment
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.paybeta.ng/v2/electricity/purchase' \
--header 'Accept: application/json' \
--header 'P-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "service": "ikeja-electric",
    "meterNumber": "042***3016",
    "meterType": "prepaid",
    "amount": 2000,
    "customerName": "MR JOHN DOE",
    "customerAddress": "1 JOHN DOE STR",
    "reference": "{{$timestamp}}"
}'
Response Response Example
{
    "status": "successful",
    "message": "Transaction successful",
    "data": {
        "reference": "1715455653",
        "amount": 1000,
        "chargedAmount": 496.5,
        "commission": 3.5,
        "biller": "Ikeja Electricity - IKEDC",
        "customerId": "10428776010",
        "token": "3193-6233-0096-7827-3805",
        "unit": "44.6",
        "bonusToken": "",
        "transactionDate": "2024-05-11 20:27:33",
        "transactionId": "17154556531428310982"
    }
}
Modified at 2025-09-19 21:34:05
Previous
Validate Account
Next
Get Bouquets
Built with